# Method: labels.permissions.batchDelete

- [HTTP request](https://developers.google.com/workspace/drive/labels/reference/rest/v2/labels.permissions/batchDelete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/drive/labels/reference/rest/v2/labels.permissions/batchDelete#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/drive/labels/reference/rest/v2/labels.permissions/batchDelete#body.request_body)
  - [JSON representation](https://developers.google.com/workspace/drive/labels/reference/rest/v2/labels.permissions/batchDelete#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/workspace/drive/labels/reference/rest/v2/labels.permissions/batchDelete#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/drive/labels/reference/rest/v2/labels.permissions/batchDelete#body.aspect)
- [DeleteLabelPermissionRequest](https://developers.google.com/workspace/drive/labels/reference/rest/v2/labels.permissions/batchDelete#DeleteLabelPermissionRequest)
  - [JSON representation](https://developers.google.com/workspace/drive/labels/reference/rest/v2/labels.permissions/batchDelete#DeleteLabelPermissionRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/workspace/drive/labels/reference/rest/v2/labels.permissions/batchDelete#try-it)

Deletes label permissions. Permissions affect the label resource as a whole, aren't revisioned, and don't require publishing.

### HTTP request

`POST https://drivelabels.googleapis.com/v2/{parent=labels/*}/permissions:batchDelete`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent label resource name shared by all permissions being deleted. Format: `labels/{label}`. If this is set, the parent field in the `UpdateLabelPermissionRequest` messages must either be empty or match this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/workspace/drive/labels/reference/rest/v2/labels.permissions/batchDelete#DeleteLabelPermissionRequest`) } ], "useAdminAccess": boolean } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/workspace/drive/labels/reference/rest/v2/labels.permissions/batchDelete#DeleteLabelPermissionRequest`)`` Required. The request message specifying the resources to update. |
| `useAdminAccess` | `boolean` Set to `true` in order to use the user's admin credentials. The server will verify the user is an admin for the label before allowing access. If this is set, the `useAdminAccess` field in the `DeleteLabelPermissionRequest` messages must either be empty or match this field. |

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/drive.labels`
- `
  https://www.googleapis.com/auth/drive.admin.labels`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).

## DeleteLabelPermissionRequest

Deletes a label permission. Permissions affect the label resource as a whole, aren't revisioned, and don't require publishing.

| JSON representation |
|---|
| ``` { "name": string, "useAdminAccess": boolean } ``` |

| Fields ||
|---|---|
| `name` | `string` Required. Label permission resource name. |
| `useAdminAccess` | `boolean` Set to `true` in order to use the user's admin credentials. The server will verify the user is an admin for the label before allowing access. |